/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.common.core.flow;

import com.iohao.game.action.skeleton.core.flow.FlowContext;
import com.iohao.game.common.kit.ArrayKit;

import java.util.Objects;

/**
 * @author 渔民小镇
 * @date 2023-07-24
 */
public class MyFlowContext extends FlowContext {
    private MyAttachment attachment;

    public String getNickname() {
        initAttachment();

        if (attachment == null) {
            return null;
        }

        return attachment.nickname;
    }

    public MyAttachment getAttachment() {
        initAttachment();
        return attachment;
    }

    private void initAttachment() {
        if (Objects.isNull(attachment)) {

            byte[] attachmentData = this.getRequest().getHeadMetadata().getAttachmentData();
            if (ArrayKit.isEmpty(attachmentData)) {
                return;
            }

            this.attachment = this.getAttachment(MyAttachment.class);
        }
    }
}
