/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.bag.config;

import com.iohao.mmo.bag.ItemIdConst;
import com.iohao.mmo.bag.entity.ItemConfig;
import jakarta.annotation.Resource;
import org.springframework.boot.CommandLineRunner;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 渔民小镇
 * @date 2023-08-06
 */
@Component
public class ItemCommandLineRunner implements CommandLineRunner {
    @Resource
    MongoTemplate mongoTemplate;

    @Override
    public void run(String... args) {
        List<ItemConfig> itemConfigs = initConfigExcel();
        itemConfigs.forEach(ItemConfigRegion::addItemConfig);
    }

    private List<ItemConfig> initConfigExcel() {

        List<ItemConfig> configList = new ArrayList<>();
        ItemConfig config = new ItemConfig();
        configList.add(config);

        config.setItemId(ItemIdConst.expId);
        config.setName("经验值道具");
        config.setDescription("增加经验值");

        config.setItemId(ItemIdConst.hpId);
        config.setName("气血药");
        config.setDescription("增加气血值");


        return configList;
    }
}
