package com.iohao.mmo.equip.action;

import com.iohao.game.action.skeleton.annotation.ActionController;
import com.iohao.game.action.skeleton.annotation.ActionMethod;
import com.iohao.game.action.skeleton.core.flow.FlowContext;
import com.iohao.game.action.skeleton.protocol.wrapper.StringValue;
import com.iohao.mmo.equip.cmd.EquipCmd;
import com.iohao.mmo.equip.entity.Equip;
import com.iohao.mmo.equip.entity.EquipTemplate;
import com.iohao.mmo.equip.mapper.EquipMapper;
import com.iohao.mmo.equip.mapper.EquipTemplateMapper;
import com.iohao.mmo.equip.proto.EquipMessage;
import com.iohao.mmo.equip.proto.EquipTemplateMessage;
import com.iohao.mmo.equip.service.EquipService;
import com.iohao.mmo.equip.service.EquipTemplateService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 唐斌
 * @date 2023-07-30
 * @description: 装备属性类
 */
@Slf4j
@Component
@ActionController(EquipCmd.cmd)
public class EquipTemplateAction {

    @Resource
    EquipTemplateService equipTemplateService;

    /**
     * TODO 初始化装备模板（暂时的方法，后期应从数据文件中读取）
     *
     * @param flowContext flowContext
     */
    @ActionMethod(EquipCmd.initEquipTemplate)
    public void initEquipTemplate(FlowContext flowContext) {
        long userId = flowContext.getUserId();
        // 初始化装备数据，暂时放这
        equipTemplateService.initEquipTemplate();
    }

    /**
     * 获取装备模板信息
     *
     * @param flowContext flowContext
     * @param stringValue 装备模板id
     */
    @ActionMethod(EquipCmd.getEquipTemplate)
    public EquipTemplateMessage getEquipTemplate(FlowContext flowContext, StringValue stringValue) { //参数值
        // 初始化装备数据，暂时放这
        EquipTemplate equipTemplate = equipTemplateService.findById(stringValue.value);
        return EquipTemplateMapper.ME.convert(equipTemplate);
    }

    /**
     * TODO 根据装备模板列表随机出新的装备，
     * 实际这里应该传入怪物id，根据怪物-物品-掉率的绑定关系去随机出掉落物品，暂时还没有怪物，先这样处理
     *
     * @param flowContext flowContext
     * @param stringValve 装备模板ids（xxx,xxx）
     */
    @ActionMethod(EquipCmd.randomEquip)
    public List<EquipMessage> randomEquip(FlowContext flowContext, StringValue stringValve) { //参数值
        long userId = flowContext.getUserId();
        String[] ids = stringValve.value.split(",");
        List<EquipMessage> equipMessageList = new ArrayList<>();
        for(String id:ids){
            // 初始化装备数据，暂时放这
            Equip equip = equipTemplateService.randomEquip(id,userId);
            EquipMessage equipMessage = EquipMapper.ME.convert(equip);
            equipMessageList.add(equipMessage);
        }

        return equipMessageList;
    }
}
