/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.entity;

import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author 唐斌
 * @date 2023-07-26
 */
@Data
@Document
@FieldDefaults(level = AccessLevel.PRIVATE)
public class Equip {
    @Id
    String id;
    /** 物品表id */
    String itemId;
    /** 玩家 */
    long userId;
    /** 装备名 */
    String name;
    /** 总属性点 */
    int attrTotal;
    /** 未分配属性点 */
    int undistributedAttr;
    /** 装备模板 */
    EquipTemplate equipTemplate;
    /** 基础属性 */
    BasicEquipProperty basicEquipProperty;
}
