/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.entity;

import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author 唐斌
 * @date 2023-07-26
 */
@Data
@Document
@FieldDefaults(level = AccessLevel.PRIVATE)
public class EquipTemplate {
    @Id
    String id;
    /** 所属物品 */
    Goods goods;
    /** 部位（0帽子，1衣服，2武器，3手镯，4裤子，5鞋子） */
    int position;
    /** 要求等级 */
    int level;
    /** 自定义属性随机范围最小值 */
    int totalAttrMin;
    /** 自定义属性随机范围最大值 */
    int totalAttrMax;
}
