package com.iohao.mmo.equip.enums;

/**
 * @author 唐斌
 * @date 2023-08-03
 * @description: TODO
 */
public enum EquipQualityEnum {
    WHITE(0.1, 1),
    GREEN(0.3, 2),
    BLUE(0.5, 3),
    RED(0.7, 4),
    PURPLE(0.95, 5),
    GOLDEN(1.0, 6);
    // 属性比例
    private double prop;
    //装备品质
    private int quality;
    // 构造方法
    private EquipQualityEnum(double prop, int quality) {
        this.prop = prop;
        this.quality = quality;
    }
    // 通过品质数字拿属性比例
    public static double getProp(int quality) {
        for (EquipQualityEnum c : EquipQualityEnum.values()) {
            if (c.getQuality() == quality) {
                return c.prop;
            }
        }
        return 0;
    }

    // 通过属性比例拿品质等级
    public static int getQuality(double prop) {
        for (EquipQualityEnum c : EquipQualityEnum.values()) {
            if (c.getProp() >= prop) {
                return c.quality;
            }
        }
        return 1;
    }
    // get set 方法
    public double getProp() {
        return prop;
    }
    public void setProp(double prop) {
        this.prop = prop;
    }
    public int getQuality() {
        return quality;
    }
    public void setQuality(int quality) {
        this.quality = quality;
    }

}
