/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.map.room;

import com.iohao.game.widget.light.room.AbstractRoom;
import com.iohao.game.widget.light.room.CreateRoomInfo;
import com.iohao.game.widget.light.room.RoomService;
import com.iohao.game.widget.light.room.RuleInfo;
import com.iohao.mmo.map.room.flow.*;
import lombok.Getter;
import org.springframework.stereotype.Component;

/**
 * @author 渔民小镇
 * @date 2023-07-27
 */
@Component
public class MapRoomRegions {
    @Getter
    MapFlow mapFlow = new MapFlow();
    @Getter
    RoomService roomService = new RoomService();

    public MapRoomRegions() {
        initMapFlow();
    }

    private void initMapFlow() {
        mapFlow
                // 游戏规则
                .setRoomRuleInfoCustom(new MapRoomRuleInfoCustom())
                // 游戏开始
                .setRoomGameStartCustom(new MapRoomGameStartCustom())
                // 创建玩家
                .setRoomPlayerCreateCustom(new MapRoomPlayerCreateCustom())
                // 房间创建
                .setRoomCreateCustom(new MapRoomCreateCustom())
                // 进入房间
                .setRoomEnterCustom(new MapRoomEnterCustom());

        // 创建一个地图
        long mapId = 1;
        createMapRoom(mapId);
    }

    private void createMapRoom(long mapId) {
        RuleInfo ruleInfo = mapFlow.getRuleInfo(String.valueOf(mapId));

        CreateRoomInfo createRoomInfo = new CreateRoomInfo();
        createRoomInfo.setRuleInfo(ruleInfo);

        AbstractRoom room = mapFlow.createRoom(createRoomInfo);
        roomService.addRoom(room);
    }


}
