/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.bag.client;

import com.iohao.game.action.skeleton.core.CmdInfo;
import com.iohao.game.action.skeleton.core.flow.FlowContext;
import com.iohao.game.action.skeleton.protocol.ResponseMessage;
import com.iohao.mmo.bag.cmd.BagCmd;
import com.iohao.mmo.bag.proto.BagItemMessage;
import com.iohao.mmo.common.kit.MessageKit;
import com.iohao.mmo.common.provide.client.ExchangeKit;
import lombok.experimental.UtilityClass;

/**
 * 背包模块，对外提供的访问 api
 *
 * @author 渔民小镇
 * @date 2023-08-06
 */
@UtilityClass
public class BagExchange {
    ResponseMessage incrementItemResponse(BagItemMessage bagItemMessage, FlowContext flowContext) {
        CmdInfo cmdInfo = BagCmd.of(BagCmd.incrementItem);
        return ExchangeKit.invokeModuleMessage(flowContext, cmdInfo, bagItemMessage);
    }

    public BagItemMessage incrementItem(BagItemMessage bagItemMessage, FlowContext flowContext) {
        ResponseMessage responseMessage = incrementItemResponse(bagItemMessage, flowContext);
        return MessageKit.getData(responseMessage, BagItemMessage.class);
    }

    ResponseMessage decrementItemResponse(BagItemMessage bagItemMessage, FlowContext flowContext) {
        CmdInfo cmdInfo = BagCmd.of(BagCmd.decrementItem);
        return ExchangeKit.invokeModuleMessage(flowContext, cmdInfo, bagItemMessage);
    }

    public BagItemMessage decrementItem(BagItemMessage bagItemMessage, FlowContext flowContext) {
        ResponseMessage responseMessage = decrementItemResponse(bagItemMessage, flowContext);
        return MessageKit.getData(responseMessage, BagItemMessage.class);
    }
}
